# -*- coding: utf-8 -*-

UDF_DICT = {
    'location_geohash': "CREATE  TEMPORARY function location_geohash AS 'tiktok.lbs.geocode.GeoHashUDF' USING   jar 'hdfs://harunava/dp/dorado/udf/200055301/200055301.jar';\n",
    'location_place': "CREATE TEMPORARY function location_place AS 'com.bytedance.tiktok.lbs.location.offline.udf.ResolvePlaceUDF' USING jar 'hdfs://harunava/dp/dorado/udf/200054993/200054993.jar';\n",
    "location_geoadds": "CREATE  TEMPORARY function location_geoadds AS 'com.bytedance.tiktok.lbs.location.offline.udf.LocationGeoAddsUDF' USING   jar 'hdfs://harunava/dp/dorado/udf/200054993/200054993.jar';\n",
    "location_georadius": "CREATE  TEMPORARY function location_georadius AS 'com.bytedance.tiktok.lbs.location.offline.udf.LocationGeoRadiusUDF' USING   jar 'hdfs://harunava/dp/dorado/udf/200054993/200054993.jar';\n",
}


class UdfUtils():
    def __init__(self):
        self.udf_dict = UDF_DICT

    def get(self, name):
        return self.udf_dict.get(name)
